View Issue Details

IDProjectCategoryView StatusLast Update
0013452Tine 2.0Calendarpublic2018-02-26 17:12
ReporterfroznAssigned Tomspahn 
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version2017.08.4 Community Edition 
Target VersionFixed in Version2018.02.1 Community Edition 
Summary0013452: Neuer Kalendereintrag und Ändern eines Kalendereintrags nicht möglich
DescriptionIm aufgehenden Fenster zur Erstellung eines neuen Termins erscheint folgende Fehlermeldung in der Konsole:

Uncaught TypeError: Cannot read property 'nodeActionsMgr' of undefined
    at L.initActions (index.php:1299)
    at L.initComponent (index.php:1299)
    at L.Ext.Component [as constructor] (ext-all.js:7)
    at L [as constructor] (ext-base.js:7)
    at L [as constructor] (ext-base.js:7)
    at L [as constructor] (ext-base.js:7)
    at L [as constructor] (ext-base.js:7)
    at L [as constructor] (ext-base.js:7)
    at L [as constructor] (ext-base.js:7)
    at new L (ext-base.js:7)

Dies betrifft folgende Stelle im File "/Tinebase/js/Tinebase-9f8ab1c17479c3728541-FAT.debug.js" bzw. dessen minimierte Version (siehe "FEHLER" unten):

        /**
         * initActions
         */
        initActions: function () {
            this.action_download = new Ext.Action({
                requiredGrant: 'readGrant',
                allowMultiple: false,
                actionType: 'download',
                text: i18n._('Download'),
                handler: this.onDownload,
                iconCls: 'action_download',
                scope: this,
                disabled:true
            });
    
            this.action_preview = Tine.Filemanager.nodeActionsMgr.get('preview', {initialApp: this.app}); <-- FEHLER
    
            this.actionUpdater.addActions([this.action_download, this.action_preview]);
            this.getTopToolbar().addItem(this.action_download);
            this.contextMenu.addItem(this.action_download);
            
            this.on('rowdblclick', this.onRowDbClick.createDelegate(this), this);
        },

Meine temporäre Lösung sieht wie folgt aus (siehe "frozn" unten):

        /**
         * initActions
         */
        initActions: function () {
            this.action_download = new Ext.Action({
                requiredGrant: 'readGrant',
                allowMultiple: false,
                actionType: 'download',
                text: i18n._('Download'),
                handler: this.onDownload,
                iconCls: 'action_download',
                scope: this,
                disabled:true
            });
    
            // this.action_preview = Tine.Filemanager.nodeActionsMgr.get('preview', {initialApp: this.app}); -- frozn
            // this.actionUpdater.addActions([this.action_download, this.action_preview]); -- frozn
        this.actionUpdater.addActions(this.action_download); // frozn
            this.getTopToolbar().addItem(this.action_download);
            this.contextMenu.addItem(this.action_download);
            
            this.on('rowdblclick', this.onRowDbClick.createDelegate(this), this);
        },
Steps To ReproduceNeuen Kalendereintrag anlegen. Im aufgehenden Fenster erscheint der Ladekringel, es passiert allerdings nichts weiteres. Das Gleiche passiert beim Ändern eines Termins.
Additional InformationBrowsercache wurde bei jedem Test geleert.
Tagstinebase
mwticket

Activities

pschuele

pschuele

2017-09-18 15:53

administrator   ~0020706

hi,
klappt es denn, wenn der Filemanager installiert wird?
frozn

frozn

2017-09-18 16:45

reporter   ~0020712

1. Ich habe meinen Workaround wieder mithilfe der Originaldateien rückgängig gemacht und den Browsercache gelöscht: Der Fehler beim Erfassen/Ändern eines Kalendereintrags erscheint wieder.
2. Über das Setup den Filemanager installiert: Kalendereinträge erfassen/ändern funktioniert.
3. Über das Setup den Filemanager wieder deinstalliert: Kalendereinträge erfassen/ändern funktioniert nicht mehr.
mspahn

mspahn

2018-02-09 16:43

administrator   ~0021402

Still an issue?
frozn

frozn

2018-02-13 20:22

reporter   ~0021408

tested under version "2018.02.01". everything is ok. :-)

Issue History

Date Modified Username Field Change
2017-09-18 13:06 frozn New Issue
2017-09-18 13:06 frozn Tag Attached: tinebase
2017-09-18 15:53 pschuele Assigned To => pschuele
2017-09-18 15:53 pschuele Status new => feedback
2017-09-18 15:53 pschuele Note Added: 0020706
2017-09-18 15:54 pschuele Assigned To pschuele => mspahn
2017-09-18 16:45 frozn Note Added: 0020712
2017-09-18 16:45 frozn Status feedback => assigned
2018-02-09 16:43 mspahn Note Added: 0021402
2018-02-13 20:22 frozn Note Added: 0021408
2018-02-26 17:12 mspahn Status assigned => resolved
2018-02-26 17:12 mspahn Resolution open => fixed
2018-02-26 17:12 mspahn Fixed in Version => 2018.02.1 Community Edition